Bug 493015 - pbmclean and pbmlife faults in netpbm-10.23-security.patch
pbmclean and pbmlife faults in netpbm-10.23-security.patch
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: netpbm (Show other bugs)
9
All Linux
low Severity medium
: ---
: ---
Assigned To: Jindrich Novy
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-31 06:58 EDT by Paul Flo Williams
Modified: 2013-07-02 19:36 EDT (History)
2 users (show)

See Also:
Fixed In Version: 10.35.61-1.fc9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-31 10:02:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Paul Flo Williams 2009-03-31 06:58:05 EDT
Description of problem:

pbmclean and pbmlife will not run on images of any size.

Version-Release number of selected component (if applicable):

netpbm-progs-10.35.58-1.fc9.i386

How reproducible:

Every invocation of pbmclean or pbmlife.

Steps to Reproduce:

pbmmake 1 1 | pbmclean > /dev/null

or 

pbmmake 1 1 | pbmlife > /dev/null

Actual results:

Both programs will exit with the error: "progname: EOF / read error reading a one-byte sample"

Expected results:

A 1x1 PBM image, transformed as appropriate.

Additional info:

Both programs employ read-ahead because they transform pixels in an image by counting their neighbours. However, the patch netpbm-10.23-security.patch has mistaken the meaning of the "had enough rows" tests for read-ahead in both cases.

For example, the security patch has changed a test in pbmclean.c from:

(row+1 < rows) --> (row <= rows)

which is clearly not the same test, and a similar line in pbmlife has been corrupted. As the security patch only affects this one test in both files, I have tried fixing it by removing the changes to pbmclean.c and pbmlife.c from the security patch, and the programs work as expected.
Comment 1 Jindrich Novy 2009-03-31 10:02:13 EDT
Indeed. The security patch really breaks pbmclean and pbmlife. I just removed the two broken hunks. Thanks.
Comment 2 Fedora Update System 2009-04-02 01:08:42 EDT
netpbm-10.35.61-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/netpbm-10.35.61-1.fc10
Comment 3 Fedora Update System 2009-04-02 01:09:43 EDT
netpbm-10.35.61-1.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/netpbm-10.35.61-1.fc9
Comment 4 Fedora Update System 2009-04-02 13:20:36 EDT
netpbm-10.35.61-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 5 Fedora Update System 2009-04-02 13:21:17 EDT
netpbm-10.35.61-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.